RuntimeDTO
Date: 2016-06-25

org.osgi.service.http.runtime.dto

## Class RuntimeDTO

- java.lang.Object
- - org.osgi.dto.DTO
  - - org.osgi.service.http.runtime.dto.RuntimeDTO

-     public class RuntimeDTO
      extends org.osgi.dto.DTO

  Represents the state of a Http Service Runtime.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `FailedErrorPageDTO[]` | `failedErrorPageDTOs` Returns the representations of the error page `javax.servlet.Servlet` services associated with this runtime but currently not used due to some problem.
    `FailedFilterDTO[]` | `failedFilterDTOs` Returns the representations of the servlet `javax.servlet.Filter` services associated with this runtime but currently not used due to some problem.
    `FailedListenerDTO[]` | `failedListenerDTOs` Returns the representations of the listeners associated with this runtime but currently not used due to some problem.
    `FailedResourceDTO[]` | `failedResourceDTOs` Returns the representations of the resources associated with this runtime but currently not used due to some problem.
    `FailedServletContextDTO[]` | `failedServletContextDTOs` Returns the representations of the `javax.servlet.ServletContext` objects currently not used by the Http service runtime due to some problem.
    `FailedServletDTO[]` | `failedServletDTOs` Returns the representations of the `javax.servlet.Servlet` services associated with this runtime but currently not used due to some problem.
    `org.osgi.framework.dto.ServiceReferenceDTO` | `serviceDTO` The DTO for the corresponding `org.osgi.service.http.runtime.HttpServiceRuntime`.
    `ServletContextDTO[]` | `servletContextDTOs` Returns the representations of the `javax.servlet.ServletContext` objects used by the Http Service Runtime.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RuntimeDTO()`

  - ### Method Summary

    - ### Methods inherited from class org.osgi.dto.DTO

      `toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serviceDTO

          public org.osgi.framework.dto.ServiceReferenceDTO serviceDTO

      The DTO for the corresponding `org.osgi.service.http.runtime.HttpServiceRuntime`. This value is never `null`.

    - #### servletContextDTOs

          public ServletContextDTO[] servletContextDTOs

      Returns the representations of the `javax.servlet.ServletContext` objects used by the Http Service Runtime. The returned array may be empty if the Http Service Runtime is currently not using any `javax.servlet.ServletContext` objects.

    - #### failedServletContextDTOs

          public FailedServletContextDTO[] failedServletContextDTOs

      Returns the representations of the `javax.servlet.ServletContext` objects currently not used by the Http service runtime due to some problem. The returned array may be empty.

    - #### failedServletDTOs

          public FailedServletDTO[] failedServletDTOs

      Returns the representations of the `javax.servlet.Servlet` services associated with this runtime but currently not used due to some problem. The returned array may be empty.

    - #### failedResourceDTOs

          public FailedResourceDTO[] failedResourceDTOs

      Returns the representations of the resources associated with this runtime but currently not used due to some problem. The returned array may be empty.

    - #### failedFilterDTOs

          public FailedFilterDTO[] failedFilterDTOs

      Returns the representations of the servlet `javax.servlet.Filter` services associated with this runtime but currently not used due to some problem. The returned array may be empty.

    - #### failedErrorPageDTOs

          public FailedErrorPageDTO[] failedErrorPageDTOs

      Returns the representations of the error page `javax.servlet.Servlet` services associated with this runtime but currently not used due to some problem. The returned array may be empty.

    - #### failedListenerDTOs

          public FailedListenerDTO[] failedListenerDTOs

      Returns the representations of the listeners associated with this runtime but currently not used due to some problem. The returned array may be empty.

  - ### Constructor Detail

    - #### RuntimeDTO

          public RuntimeDTO()